public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/vkd3d/
Date: Fri, 23 Jun 2023 18:45:21 +0000 (UTC)	[thread overview]
Message-ID: <1687545883.8acb1d27a6ddbdadb86d17fe18492ec9ab1a941e.ionen@gentoo> (raw)

commit:     8acb1d27a6ddbdadb86d17fe18492ec9ab1a941e
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 23 18:18:34 2023 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Jun 23 18:44:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8acb1d27

app-emulation/vkd3d: add 1.8

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 app-emulation/vkd3d/Manifest         |  1 +
 app-emulation/vkd3d/vkd3d-1.8.ebuild | 44 ++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/app-emulation/vkd3d/Manifest b/app-emulation/vkd3d/Manifest
index f42c15abcfb0..1a51bb258a8d 100644
--- a/app-emulation/vkd3d/Manifest
+++ b/app-emulation/vkd3d/Manifest
@@ -1 +1,2 @@
 DIST vkd3d-1.7.1.tar.xz 806772 BLAKE2B f83fd405dd2fedb2bc38bf64fd5e401fab1b9d5364b812eb34bc45cdeef684786cd59abe304ce71c722b8fe7a729bef18a90b1cb86f2522e45fa1f4d2d0340bb SHA512 59958d3ca6a6485173cc43d701dba4e82eca1eee895128520b5eb0c392fc2911cade37d945ba52a8f50a2639fa5d8d487609c5f3f88ae76e6d914a448ac179b6
+DIST vkd3d-1.8.tar.xz 829648 BLAKE2B 0e7bb53e3eb9003ea76ee523dfa317b6ab95fd1c2decb453d650f0cf046d5b802a32e40c4e6f6464748903143ef9352e70fdf8ca7fa8e9b9909e0f15235d2b01 SHA512 43d65bf4aa60750e08653226197f40c97bc88d56dc5513b70182b5fe289ab56a225682c96400776cd625ad5a8f76644bf4b46bd3ed54aa8496f538f6854d680a

diff --git a/app-emulation/vkd3d/vkd3d-1.8.ebuild b/app-emulation/vkd3d/vkd3d-1.8.ebuild
new file mode 100644
index 000000000000..cea4a98c8e5e
--- /dev/null
+++ b/app-emulation/vkd3d/vkd3d-1.8.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib-minimal
+
+DESCRIPTION="D3D12 to Vulkan translation library"
+HOMEPAGE="https://gitlab.winehq.org/wine/vkd3d/"
+SRC_URI="https://dl.winehq.org/vkd3d/source/${P}.tar.xz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ncurses spirv-tools"
+RESTRICT="test" #838655
+
+RDEPEND="
+	media-libs/vulkan-loader[${MULTILIB_USEDEP}]
+	ncurses? ( sys-libs/ncurses:= )
+	spirv-tools? ( dev-util/spirv-tools[${MULTILIB_USEDEP}] )"
+DEPEND="
+	${RDEPEND}
+	dev-util/spirv-headers
+	dev-util/vulkan-headers"
+BDEPEND="
+	sys-devel/flex
+	sys-devel/bison
+	virtual/pkgconfig"
+
+multilib_src_configure() {
+	local conf=(
+		$(multilib_native_use_with ncurses)
+		$(use_with spirv-tools)
+		--disable-doxygen-pdf
+		--without-xcb
+	)
+
+	ECONF_SOURCE=${S} econf "${conf[@]}"
+}
+
+multilib_src_install_all() {
+	find "${ED}" -type f -name '*.la' -delete || die
+}


             reply	other threads:[~2023-06-23 18:45 UTC|newest]

Thread overview: 62+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-23 18:45 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-25 10:27 [gentoo-commits] repo/gentoo:master commit in: app-emulation/vkd3d/ Jakov Smolić
2024-09-25 10:27 Jakov Smolić
2024-09-03 12:31 Ionen Wolkens
2024-06-28 14:45 Ionen Wolkens
2024-06-19 19:43 Arthur Zamarin
2024-06-19 19:43 Arthur Zamarin
2024-05-30 10:53 Ionen Wolkens
2024-03-12  4:10 Ionen Wolkens
2024-01-08 13:57 Ionen Wolkens
2024-01-08 12:59 Ionen Wolkens
2024-01-08 12:59 Ionen Wolkens
2024-01-03  6:58 Sam James
2024-01-03  6:58 Sam James
2023-12-07  8:57 Ionen Wolkens
2023-10-25  7:58 Ionen Wolkens
2023-10-12 23:32 Sam James
2023-10-12 12:05 Sam James
2023-08-06  4:32 Ionen Wolkens
2023-07-22 18:36 Sam James
2023-07-22 18:36 Sam James
2023-05-26 23:16 Ionen Wolkens
2023-05-23 10:49 Arthur Zamarin
2023-05-23 10:49 Arthur Zamarin
2023-05-04 18:32 Ionen Wolkens
2023-04-24  3:43 Ionen Wolkens
2023-04-17 21:16 Sam James
2023-04-17 21:16 Sam James
2023-03-24 15:26 Ionen Wolkens
2023-01-11 11:26 Ionen Wolkens
2022-12-29 20:29 Ionen Wolkens
2022-12-08  5:31 Ionen Wolkens
2022-10-12 13:47 Ionen Wolkens
2022-10-12 13:47 Ionen Wolkens
2022-09-23  4:40 Ionen Wolkens
2022-09-17  8:42 Ionen Wolkens
2022-09-17  8:42 Ionen Wolkens
2022-08-11 19:34 Nick Sarnie
2022-04-15 19:31 Nick Sarnie
2022-03-13  5:54 Sam James
2021-02-28 15:39 Sam James
2021-02-28 15:39 Sam James
2021-01-17  4:10 Sam James
2020-09-29 22:35 Nick Sarnie
2020-09-28  2:40 Nick Sarnie
2020-09-18  8:26 Agostino Sarubbo
2020-09-18  7:29 Agostino Sarubbo
2019-12-08 23:40 Nick Sarnie
2019-07-13 15:11 Nick Sarnie
2019-06-04 14:45 Thomas Deutschmann
2019-05-14 23:05 Nick Sarnie
2019-03-09 19:18 Thomas Deutschmann
2019-03-03 11:59 Mikle Kolyada
2018-12-23  3:49 Nick Sarnie
2018-12-11 15:33 Michał Górny
2018-06-03 20:31 Nick Sarnie
2018-05-30 22:47 Nick Sarnie
2018-05-29  1:49 Nick Sarnie
2018-05-28 20:05 Nick Sarnie
2018-05-28 20:01 Nick Sarnie
2018-05-28 16:33 Nick Sarnie
2018-05-28 16:02 Nick Sarnie

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1687545883.8acb1d27a6ddbdadb86d17fe18492ec9ab1a941e.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox